[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#660128: RFS: heybuddy/0.2.3-1 [ITP]

* Daniel Martí <danielmarti.debian@gmail.com>, 2012-02-29, 23:43:
- Modules are not re-byte-compiled when the default Python version changes.
* How should I solve this? I understand the problem, but scroogling around hasn't shown me any tips.

The whole point of Python helpers (e.g. dh_python2) is to allow you not worry about such details. So just remove debian/postinst and debian/prerm; they are not needed anymore.

But if you are curious how dh_python2 does it: it installs /usr/share/python/runtime.d/heybuddy.rtupdate into your binary package, which can be then called by python upon upgrade.

Jakub Wilk

Reply to: